AUTH_GETOPTION(3)

NAME
auth_getoption - Search an option string

SYNOPSIS

#include <courierauth.h>

char *value=auth_getoption(const char *options, const char *keyword);

DESCRIPTION

This is a convenience function for parsing account options, as received by the callback function invoked by auth_generic(3)[1], auth_login(3)[2], auth_getuserinfo(3)[3], and auth_passwd(3)[4].

options is the options field from authinfo (which can be NULL). As described in auth_generic(3)[1] (and the others), it is a comma-separated list of “keyword=value” pairs.

auth_getoption searches options for a keyword.

RETURNS

If options does not have the keyword, auth_getoption returns NULL with errno set to ENOENT. Otherwise auth_getoption allocates a buffer for value, and returns it. It is the caller's responsibility to free(3) the returned buffer.

auth_getoption returns NULL with errno set to ENOMEM if it cannot allocate a buffer.

SEE ALSO

authlib(3)[5], auth_generic(3)[1], auth_login(3)[2], auth_getuserinfo(3)[3].

NOTES

1.  auth_generic(3)
    http://www.courier-mta.org/authlib/auth_generic.html

2.  auth_login(3)
    http://www.courier-mta.org/authlib/auth_login.html

3.  auth_getuserinfo(3)
    http://www.courier-mta.org/authlib/auth_getuserinfo.html

4.  auth_passwd(3)
    http://www.courier-mta.org/authlib/auth_passwd.html

5.  authlib(3)
    http://www.courier-mta.org/authlib/authlib.html